> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check project move requirements

> Check the cross-space link/lookup/rollup fields that would be converted if this project were moved into the given target space (both outgoing and incoming references), and whether a physical cross-data-DB move is required.



## OpenAPI

````yaml /swagger.json get /base/{baseId}/move-check
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /base/{baseId}/move-check:
    get:
      tags:
        - base
      summary: Check cross-space affected fields for project move
      description: >-
        Check the cross-space link/lookup/rollup fields that would be converted
        if this project were moved into the given target space (both outgoing
        and incoming references), and whether a physical cross-data-DB move is
        required.


        Required token scopes: `space|update`
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: spaceId
          in: query
      responses:
        '200':
          description: >-
            The list of cross-space affected fields and data-DB move
            requirements.
          content:
            application/json:
              schema:
                type: object
                properties:
                  affectedFields:
                    type: array
                    items:
                      type: object
                      properties:
                        fieldId:
                          type: string
                        fieldName:
                          type: string
                        type:
                          type: string
                        tableId:
                          type: string
                        tableName:
                          type: string
                        baseId:
                          type: string
                        baseName:
                          type: string
                        reason:
                          type: string
                          enum:
                            - direct_link
                            - incoming_link
                      required:
                        - fieldId
                        - fieldName
                        - type
                        - tableId
                        - tableName
                        - baseId
                        - baseName
                        - reason
                  dataDb:
                    type: object
                    properties:
                      sameDataDb:
                        type: boolean
                      requiresPhysicalMove:
                        type: boolean
                      source:
                        type: object
                        properties:
                          mode:
                            type: string
                            enum:
                              - default
                              - byodb
                          cacheKey:
                            type: string
                          connectionId:
                            type: string
                          displayHost:
                            type: string
                            nullable: true
                          displayDatabase:
                            type: string
                            nullable: true
                          internalSchema:
                            type: string
                        required:
                          - mode
                          - cacheKey
                      target:
                        type: object
                        properties:
                          mode:
                            type: string
                            enum:
                              - default
                              - byodb
                          cacheKey:
                            type: string
                          connectionId:
                            type: string
                          displayHost:
                            type: string
                            nullable: true
                          displayDatabase:
                            type: string
                            nullable: true
                          internalSchema:
                            type: string
                        required:
                          - mode
                          - cacheKey
                      estimatedBytes:
                        type: number
                      estimatedRows:
                        type: number
                    required:
                      - sameDataDb
                      - requiresPhysicalMove
                      - source
                      - target
                required:
                  - affectedFields
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/base/%7BbaseId%7D/move-check?spaceId=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/move-check?spaceId=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/move-check?spaceId=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/move-check?spaceId=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````